<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:07 AEST 2019 -->
<title>Actor (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Actor (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":18,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6,"i8":6,"i9":6,"i10":6,"i11":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"],16:["t5","Default Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/extension/platform/AbstractPlayerActor.html" title="class in com.sk89q.worldedit.extension.platform"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../com/sk89q/worldedit/extension/platform/Capability.html" title="enum in com.sk89q.worldedit.extension.platform"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/extension/platform/Actor.html" target="_top">Frames</a></li>
<li><a href="Actor.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.extension.platform</div>
<h2 title="Interface Actor" class="title">Interface Actor</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd><a href="../../../../../com/sk89q/worldedit/util/Identifiable.html" title="interface in com.sk89q.worldedit.util">Identifiable</a>, <a href="../../../../../com/sk89q/worldedit/session/SessionOwner.html" title="interface in com.sk89q.worldedit.session">SessionOwner</a>, <a href="../../../../../com/sk89q/worldedit/util/auth/Subject.html" title="interface in com.sk89q.worldedit.util.auth">Subject</a></dd>
</dl>
<dl>
<dt>All Known Subinterfaces:</dt>
<dd><a href="../../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a></dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../../com/sk89q/worldedit/extension/platform/AbstractPlayerActor.html" title="class in com.sk89q.worldedit.extension.platform">AbstractPlayerActor</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">Actor</span>
extends <a href="../../../../../com/sk89q/worldedit/util/Identifiable.html" title="interface in com.sk89q.worldedit.util">Identifiable</a>, <a href="../../../../../com/sk89q/worldedit/session/SessionOwner.html" title="interface in com.sk89q.worldedit.session">SessionOwner</a>, <a href="../../../../../com/sk89q/worldedit/util/auth/Subject.html" title="interface in com.sk89q.worldedit.util.auth">Subject</a></pre>
<div class="block">An object that can perform actions in WorldEdit.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t5" class="tableTab"><span><a href="javascript:show(16);">Default Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/platform/Actor.html#canDestroyBedrock--">canDestroyBedrock</a></span>()</code>
<div class="block">Returns true if the actor can destroy bedrock.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/platform/Actor.html#dispatchCUIEvent-com.sk89q.worldedit.internal.cui.CUIEvent-">dispatchCUIEvent</a></span>(<a href="../../../../../com/sk89q/worldedit/internal/cui/CUIEvent.html" title="interface in com.sk89q.worldedit.internal.cui">CUIEvent</a>&nbsp;event)</code>
<div class="block">Send a CUI event.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>default java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/platform/Actor.html#getDisplayName--">getDisplayName</a></span>()</code>
<div class="block">Gets the display name of the actor.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/platform/Actor.html#getName--">getName</a></span>()</code>
<div class="block">Get the name of the actor.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/platform/Actor.html#isPlayer--">isPlayer</a></span>()</code>
<div class="block">Return whether this actor is a player.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>java.io.File</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/platform/Actor.html#openFileOpenDialog-java.lang.String:A-">openFileOpenDialog</a></span>(java.lang.String[]&nbsp;extensions)</code>
<div class="block">Open a file open dialog.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>java.io.File</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/platform/Actor.html#openFileSaveDialog-java.lang.String:A-">openFileSaveDialog</a></span>(java.lang.String[]&nbsp;extensions)</code>
<div class="block">Open a file save dialog.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/platform/Actor.html#print-com.sk89q.worldedit.util.formatting.text.Component-">print</a></span>(com.sk89q.worldedit.util.formatting.text.Component&nbsp;component)</code>
<div class="block">Print a <code>Component</code>.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/platform/Actor.html#print-java.lang.String-">print</a></span>(java.lang.String&nbsp;msg)</code>
<div class="block">Print a WorldEdit message.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/platform/Actor.html#printDebug-java.lang.String-">printDebug</a></span>(java.lang.String&nbsp;msg)</code>
<div class="block">Print a WorldEdit message.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/platform/Actor.html#printError-java.lang.String-">printError</a></span>(java.lang.String&nbsp;msg)</code>
<div class="block">Print a WorldEdit error.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/platform/Actor.html#printRaw-java.lang.String-">printRaw</a></span>(java.lang.String&nbsp;msg)</code>
<div class="block">Print a message.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.sk89q.worldedit.util.Identifiable">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;com.sk89q.worldedit.util.<a href="../../../../../com/sk89q/worldedit/util/Identifiable.html" title="interface in com.sk89q.worldedit.util">Identifiable</a></h3>
<code><a href="../../../../../com/sk89q/worldedit/util/Identifiable.html#getUniqueId--">getUniqueId</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.sk89q.worldedit.session.SessionOwner">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;com.sk89q.worldedit.session.<a href="../../../../../com/sk89q/worldedit/session/SessionOwner.html" title="interface in com.sk89q.worldedit.session">SessionOwner</a></h3>
<code><a href="../../../../../com/sk89q/worldedit/session/SessionOwner.html#getSessionKey--">getSessionKey</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.sk89q.worldedit.util.auth.Subject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;com.sk89q.worldedit.util.auth.<a href="../../../../../com/sk89q/worldedit/util/auth/Subject.html" title="interface in com.sk89q.worldedit.util.auth">Subject</a></h3>
<code><a href="../../../../../com/sk89q/worldedit/util/auth/Subject.html#checkPermission-java.lang.String-">checkPermission</a>, <a href="../../../../../com/sk89q/worldedit/util/auth/Subject.html#getGroups--">getGroups</a>, <a href="../../../../../com/sk89q/worldedit/util/auth/Subject.html#hasPermission-java.lang.String-">hasPermission</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getName</h4>
<pre>java.lang.String&nbsp;getName()</pre>
<div class="block">Get the name of the actor.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>String</dd>
</dl>
</li>
</ul>
<a name="getDisplayName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDisplayName</h4>
<pre>default&nbsp;java.lang.String&nbsp;getDisplayName()</pre>
<div class="block">Gets the display name of the actor. This can be a nickname, and is not guaranteed to be unique.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The display name</dd>
</dl>
</li>
</ul>
<a name="printRaw-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>printRaw</h4>
<pre>void&nbsp;printRaw(java.lang.String&nbsp;msg)</pre>
<div class="block">Print a message.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>msg</code> - The message text</dd>
</dl>
</li>
</ul>
<a name="printDebug-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>printDebug</h4>
<pre>void&nbsp;printDebug(java.lang.String&nbsp;msg)</pre>
<div class="block">Print a WorldEdit message.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>msg</code> - The message text</dd>
</dl>
</li>
</ul>
<a name="print-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>print</h4>
<pre>void&nbsp;print(java.lang.String&nbsp;msg)</pre>
<div class="block">Print a WorldEdit message.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>msg</code> - The message text</dd>
</dl>
</li>
</ul>
<a name="printError-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>printError</h4>
<pre>void&nbsp;printError(java.lang.String&nbsp;msg)</pre>
<div class="block">Print a WorldEdit error.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>msg</code> - The error message text</dd>
</dl>
</li>
</ul>
<a name="print-com.sk89q.worldedit.util.formatting.text.Component-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>print</h4>
<pre>void&nbsp;print(com.sk89q.worldedit.util.formatting.text.Component&nbsp;component)</pre>
<div class="block">Print a <code>Component</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>component</code> - The component to print</dd>
</dl>
</li>
</ul>
<a name="canDestroyBedrock--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>canDestroyBedrock</h4>
<pre>boolean&nbsp;canDestroyBedrock()</pre>
<div class="block">Returns true if the actor can destroy bedrock.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if bedrock can be broken by the actor</dd>
</dl>
</li>
</ul>
<a name="isPlayer--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isPlayer</h4>
<pre>boolean&nbsp;isPlayer()</pre>
<div class="block">Return whether this actor is a player.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if a player</dd>
</dl>
</li>
</ul>
<a name="openFileOpenDialog-java.lang.String:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>openFileOpenDialog</h4>
<pre>java.io.File&nbsp;openFileOpenDialog(java.lang.String[]&nbsp;extensions)</pre>
<div class="block">Open a file open dialog.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>extensions</code> - null to allow all</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the selected file or null if something went wrong</dd>
</dl>
</li>
</ul>
<a name="openFileSaveDialog-java.lang.String:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>openFileSaveDialog</h4>
<pre>java.io.File&nbsp;openFileSaveDialog(java.lang.String[]&nbsp;extensions)</pre>
<div class="block">Open a file save dialog.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>extensions</code> - null to allow all</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the selected file or null if something went wrong</dd>
</dl>
</li>
</ul>
<a name="dispatchCUIEvent-com.sk89q.worldedit.internal.cui.CUIEvent-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>dispatchCUIEvent</h4>
<pre>void&nbsp;dispatchCUIEvent(<a href="../../../../../com/sk89q/worldedit/internal/cui/CUIEvent.html" title="interface in com.sk89q.worldedit.internal.cui">CUIEvent</a>&nbsp;event)</pre>
<div class="block">Send a CUI event.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>event</code> - the event</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/extension/platform/AbstractPlayerActor.html" title="class in com.sk89q.worldedit.extension.platform"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../com/sk89q/worldedit/extension/platform/Capability.html" title="enum in com.sk89q.worldedit.extension.platform"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/extension/platform/Actor.html" target="_top">Frames</a></li>
<li><a href="Actor.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
